<?php
header("Cache-Control: no-cache, must-revalidate"); // говорим браузеру что-бы он не кешировал эту страницу
header("Pragma: no-cache");
//header("Transfer-Encoding: chunked");
session_write_close();
set_time_limit(0);
while(ob_get_level())
    ob_end_clean();
if(ini_get('zlib.output_compression'))
    ini_set('zlib.output_compression', 'Off');
include_once (coreAudio . 'class.Main.php');
if(!empty($get['_file']) && !empty($get['_dataID']))
{
    if(is_readable(coreAudio . 'response/' . $get['_file'] . '.data.r') === true)
    {
        $data = include_once coreAudio . 'response/' . $get['_file'] . '.data.r';

        if(array_key_exists($get['_dataID'], $data['item']) === true)
        {
            $referer = $data['referer'];
            $data = $data['item'][$get['_dataID']];
            include_once (coreAudio . 'class.audioUrlDecode.php');
            $a = new audioUrlDecode();
            $data['url'] = $a->getUrlFile($data['url']);

            Main::readUrlFile($data['url'], $referer, $data['title'] . '-' . $data['artist'].'.mp3');
        }
    }
}
Main::fileLocation('no', true);
?>